function scan(successFunction, failFunction) {
    cordova.plugins.barcodeScanner.scan(
        function (result) {
            console.log("We got a barcode\n" +
                "Result: " + result.text + "\n" +
                "Format: " + result.format + "\n" +
                "Cancelled: " + result.cancelled);
            if (successFunction)
                successFunction(result.text, result.format, result.cancelled);
        },
        function (error) {
            console.log("Scanning failed: " + error);
            if (failFunction)
                failFunction(error);
        },
        {
            // preferFrontCamera: true, // iOS and Android
            // showFlipCameraButton: true, // iOS and Android
            // showTorchButton: true, // iOS and Android
            // torchOn: true, // Android, launch with the torch switched on (if available)
            //saveHistory: true,  // Android, save scan history (default false)
            //prompt: "请对准", // Android
            //resultDisplayDuration: 500, // Android, display scanned text for X ms. 0 suppresses it entirely, default 1500
            // formats: "QR_CODE,PDF_417", // default: all but PDF_417 and RSS_EXPANDED
            // orientation: "landscape", // Android only (portrait|landscape), default unset so it rotates with the device
            // disableAnimations: true, // iOS
            // disableSuccessBeep: false // iOS
        }
    );
}
